﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint =10;
		private var line:uint = 100;
		private var clip:Sprite;
		private var angle:Number;
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = stage.stageWidth/col;
			var nbrh:Number = stage.stageHeight/line;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=1;j<col;j++){
					clip = new Sprite();
					clip.graphics.beginFill(Math.random()*0xFFFFFF);

				    clip.graphics.drawCircle(100,100,1);
					//clip.graphics.lineStyle((1,0xff0000);
					clip.graphics.moveTo(0,-10);
					clip.graphics.lineTo(0,0);
					clip.graphics.endFill();

					clip.x = j*nbrl;
					clip.y = i*nbrh;
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME,enterHandler);
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			e.currentTarget.rotation = angle/Math.PI+Math.cos(angle)*1000;
			e.currentTarget.scaleY = angle;
		}
	}
}